Bug 40900 - [Task] FORMATTING: Writer unable to format specific docx/doc correctly
Summary: [Task] FORMATTING: Writer unable to format specific docx/doc correctly
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-14 23:10 UTC by Lachlan
Modified: 2014-09-07 12:43 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
redacted example of the document (59.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2011-09-14 23:10 UTC, Lachlan
Details
Layout of the document in word 2010 (220.35 KB, image/png)
2011-09-14 23:11 UTC, Lachlan
Details
word 2010 vs LO3.5 (40.65 KB, image/png)
2012-02-13 17:00 UTC, Lachlan
Details
word 2010 vs LO3.4.5 (277.91 KB, application/x-zip-compressed)
2012-02-13 17:13 UTC, Lachlan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lachlan 2011-09-14 23:10:33 UTC
Created attachment 51225 [details]
redacted example of the document

This document was created originally from a doc template and has been through office 2003/2007/2010. The document is 3 pages long but in libreoffice it opens 4 pages.

Obvious issues:
There are problems with the dot points further down and the textbox seems to have gone missing from the left side. Not sure if they're related but these don't occur in any version of word.

The headers and footers seem to have expanded to the size of when you edit them in word instead of being a single line. The line and formatting of the footer is incorrect as well.

I could probably chalk up most of it to missing fonts/styles but i hope it can help with conversions in the future.
Comment 1 Lachlan 2011-09-14 23:11:12 UTC
Created attachment 51226 [details]
Layout of the document in word 2010
Comment 2 Björn Michaelsen 2011-12-23 12:36:55 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 sasha.libreoffice 2012-02-02 08:43:36 UTC
in LibO 3.4.3 on Windows XP it opens almost correctly
But
in 3.5.0 beta on windows frames in document is very wrong,
the same in 3.3.4 on Fedora 64 bit

In 3.5.0 beta and 3.6.0 master on Fedora 64 bit it indicates that document has several thousands pages and hangs

therefore *regression*
Comment 4 sasha.libreoffice 2012-02-02 08:45:46 UTC
@ Michael
Please, look at this. Writer hangs when opening docx document on Linux 64 bit
Comment 5 Cor Nouws 2012-02-06 00:40:41 UTC
Hi Lachan,
Thanks for the issue.

Would it be possible to post a PDF from the original output, or some screen prints, on which you mark what changes is LibreOffice ?

Even more helpful would it be if you can isolate the different problems, which makes testing and solving much easier for us. Which is greatly appreciated, since we cannot easilly handle all..
Thanks again - Cor
Comment 6 Cor Nouws 2012-02-06 00:41:51 UTC
(In reply to comment #3)

> in 3.5.0 beta on windows frames in document is very wrong,
> the same in 3.3.4 on Fedora 64 bit
> 
> In 3.5.0 beta and 3.6.0 master on Fedora 64 bit it indicates that document has
> several thousands pages and hangs

I can confirm that it does not open in 3.5.0rc3. the application becomes unresponsive.
Comment 7 Lachlan 2012-02-06 02:11:55 UTC
(In reply to comment #5)
> Hi Lachan,
> Thanks for the issue.
> 
> Would it be possible to post a PDF from the original output, or some screen
> prints, on which you mark what changes is LibreOffice ?
> 
> Even more helpful would it be if you can isolate the different problems, which
> makes testing and solving much easier for us. Which is greatly appreciated,
> since we cannot easilly handle all..
> Thanks again - Cor

i could do an office vs writer side by side if you want. that way i can highlight the differences and attach a pdf/png page by page here.

It would at least give me an excuse to play around more in GIMP.

does that sound like what you'd want?
Comment 8 Cor Nouws 2012-02-06 02:52:17 UTC
(In reply to comment #7)
> does that sound like what you'd want?

Yes, would be good - thanks :-)
Comment 9 Miklos Vajna 2012-02-10 00:53:03 UTC
Regression reproduced, quite easy to stop: 4 vs 2222 pages. :)

bibisect says a44dda4b7d71f8d2b4e0cca79d732eab89588c3a was good, a705aec5117fe9123236ebdeb0d6f271b83f8af4 is already bad in core.git, so regression introduced between 2011-08-15 and 2011-09-16. Will try to track down exactly which commit.
Comment 10 Miklos Vajna 2012-02-10 08:41:30 UTC
Reverting a5339d44ec21603671123b589d7e7cf610e1c1f7 (manually - git revert gives a conflict, but it's about deleting a single line) makes the document have 4 pages again.

Lubos, does that ring a bell?

Thanks.
Comment 11 Miklos Vajna 2012-02-10 08:52:17 UTC
Just to avoid wasting time, it seems here I needed to type "make" two times in the writerfilter directory after that revert to fix the bug. But that must be an unrelated build system issue.
Comment 12 Lachlan 2012-02-13 17:00:43 UTC
Created attachment 56999 [details]
word 2010 vs LO3.5

In Libre office 3.5 the document is now spread out over 42 pages, as the "Confidential Resume" textbox now takes up 90% of document page pushing out all the text.

This is a regression over 3.4 which i will provide another comparison for soon
Comment 13 Lachlan 2012-02-13 17:13:14 UTC
Created attachment 57000 [details]
word 2010 vs LO3.4.5

This is a screenshot copy of all the pages from word 2010 and libre office 3.4.5.

As you can see this is a whole lot better than in 3.5.

1w,2w,3w are screen shots of each page in word 2010
1L, 2L, 3L, 4L are screen shots of the exact same document in writer.
Comment 14 Lachlan 2012-02-13 17:22:47 UTC
hopefully this will help you compare the two versions of writer with word.

3.5RC3 is having issues issues with the vertical text along the left and probably more, but that's the obvious issue.

3.4.5 has issues with the footers causing it to stretch out to another page but is okay with the vertical text
Comment 15 Lachlan 2012-05-08 16:04:59 UTC
Same regression in 3.5.3 as in the 3.5 RC. Document is opening as thousands of pages so I have to kill it before my RAM runs out.
Comment 16 Jean-Baptiste Faure 2012-05-08 21:32:02 UTC
Please, do change version number which shows the first version in which the bug has been found.
Comment 17 Rainer Bielefeld Retired 2012-11-13 07:55:21 UTC
I doubt that this one can be fixed. We have no sample document (Why is "2011-09-14 23:10 UTC, Lachlan" obsolete?) and we can not handle these "all looksrather ugly" reports
<http://wiki.documentfoundation.org/BugReport#General_information> item 4. 

Lifecycle of 3.4 has ended, and sample "2011-09-14 23:10 UTC, Lachlan" now looks completely different wiht 3.6.3.

@all:
Can you please report separate bugs for each problem you see in the document with
reference to the att. in this report? We urgently need well prepared OOXML import bug reports.

A sample how to do that can be "Bug 57052 - FILEOPEN particular .docx shows rotated text in text frame without rotation"
Comment 18 Joel Madero 2013-02-07 20:06:03 UTC
@All - 3.5 has reached End of Life and therefore the MAB is being closed. I am am not moving this to 3.6 MAB as there seems to be some issues unresolved (see Rainer's previous comment) and it only happens with a very particular file. It doesn't seem like this is affecting a lot of users as there are no reported duplicates and current behavior is much different from 3.5.


This being said, I am tempted to mark this as NEEDINFO as Rainer's comment says we have no test document.

@Rainer - your opinion?
Comment 19 retired 2013-12-12 10:59:28 UTC
this def is NEEDINFO. Without a test document, we don't have any chance for a fix.

Can you please provide a test document so this can be tested against and subsequently be confirmed. If your document contains sensitive data, please clear that or replace it with random information.

A step-by-step description of how to reproduce the issue is most helpful and will help to speed up the processing of this problem a lot.

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to UNCONFIRMED. Thanks :)
Comment 20 QA Administrators 2014-07-08 17:28:49 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 21 Jean-Baptiste Faure 2014-09-07 12:43:22 UTC
No answer since more than 8 month. Closing as INVALID. Feel free to reopen if you are willing to provide requested information.

Best regards. JBF